<?php

/*
Plugin Name: Five Minute Webshop
Plugin URI:  https://five-minute-webshop.com
Description: Wordpress plugin to quickly set up a webshop with payments through stripe
Version:     1.3.2
Author:      Rutger De Wilde
Author URI:  https://bitsandarts.be
Text Domain: wp-stripe-bancontact
Domain Path: /languages
License:     GPLv2 or later

 *
 * @package WP_Stripe_Bancontact
 */

 if( ! defined( 'ABSPATH' ) ){
	 exit;
 }

 define ('FMWES_PLUGIN_DIR', plugin_dir_path(__FILE__) );

 define ('FMWES_PLUGIN_VERSION', '1.3.2');

 define ('FMWES_PLUGIN_URL', plugin_dir_url(__FILE__) );
 define('FMWES_PLUGIN_NAME', plugin_basename(__FILE__) );
 define('FMWES_FILENAME', __FILE__);
 define('FMWES_PLUGIN_DIRNAME', 'five-minute-webshop' );
 define('FMWES_TEST_MODE', false);
 define('FMWES_MIDDLE_URL', 'https://sbm.bitsandarts.be');
 define('FMWES_MIDDLE_URL_AJAX', 'https://sbm.bitsandarts.be');
 define('FMWES_APP_ID', 'ca_H7Y9dDOUpzlCIzEXHO6f8bpr0YQriQ45');
 define('FMWES_PUB_KEY', 'pk_live_3ZZS1ijRtjtlVA9sF8YtWXKD00688DIkKY');
 define('FMWES_M_PUB_KEY', openssl_pkey_get_public(file_get_contents(FMWES_PLUGIN_DIR . "config/jwtRS256.key.pub")));

 // include the main class
 require plugin_dir_path(__FILE__). 'includes/class-wp-stripe-bancontact.php';

 // Main instance of plugin_dir_path
 function WP_Stripe_Bancontact(){
	 return WP_Stripe_Bancontact::get_instance();
 }

 $wp_stripe_bancontact = WP_Stripe_Bancontact();
 $wp_stripe_bancontact->includes();
 $wp_stripe_bancontact->register();
 
?>