<?php

/**
* @package WP_Stripe_Bancontact
*/

global $wpdb;

$spec_names = $wpdb->get_col("select distinct(name) from fmwes_product_specs");
$spec_uoms = $wpdb->get_col("select distinct(unit_of_measure) from fmwes_product_specs");



echo '<h1>'.esc_html__('Add Product', 'wp-stripe-bancontact').'</h3>'.
  '<div id="error-result-msg"></div>'.
  '<form class="form-container" id="addForm">'.

    '<div class="setting-line-image">'.
      '<div class="image-preview-wrapper">'.
        '<img id="image-preview" src="">'.
      '</div>'.
      '<input id="upload_image_button" type="button" class="btn-upload" value="'.esc_html__('Upload image', 'wp-stripe-bancontact').'"/>'.
      '<input type="hidden" name="image_attachment_id" id="image_attachment_id" value="">'.
    '</div>'.

    '<div class="setting-line">'.
      '<label for="title"><b>'.esc_html__('Title', 'wp-stripe-bancontact').'</b></label>'.
      '<input type="text" placeholder="'.esc_html__('Title', 'wp-stripe-bancontact').'" name="title" required>'.
    '</div>'.

    '<div class="setting-line">'.
      '<label for="description"><b>'.esc_html__('Description', 'wp-stripe-bancontact').'</b></label>'.
      '<textarea type="text" placeholder="'.esc_html__('Description', 'wp-stripe-bancontact').'" name="description" required></textarea>'.
    '</div>'.

    '<div class="setting-line">'.
      '<label for="unit_price"><b>'.esc_html__('Unit Price', 'wp-stripe-bancontact').'</b></label>'.
      '<input type="text" placeholder="'.esc_html__('Unit Price', 'wp-stripe-bancontact').'" name="unit_price" required>'.
    '</div>'.

    '<div class="setting-line">'.
      '<label for="description"><b>'.esc_html__('VAT Percentage', 'wp-stripe-bancontact').'</b></label>'.
      '<input type="text" placeholder="'.esc_html__('VAT Percentage', 'wp-stripe-bancontact').'" name="vat_percentage" required>'.
    '</div>'.
    
    '<div class="setting-line-specifications">'.
       '<label for="specifications-list"><b>'.esc_html__('Specifications', 'wp-stripe-bancontact').'</b></label>'.
       '<ul id="specifications-list">'.
            '<li class="add-li"><a class="add-spec" onclick=\'addSpec('.json_encode($spec_names).', '.json_encode($spec_uoms).')\'>'.esc_html__('Add Specification', 'wp-stripe-bancontact').'</a></li>'.
       '</ul>'.
    '</div>'.

    '<div class="setting-line-submit">'.
      '<button type="submit" class="button button-primary" name="btn_submit" onclick="createProduct(event)">'.esc_html__('Add', 'wp-stripe-bancontact').'</button>'.
    '</div>'.
  '</form>';
