<?php

/**
* @package WP_Stripe_Bancontact
*/

global $wpdb;
$id = sanitize_text_field($_GET['id']);
if($id != null && $id != ""){
  $product = $wpdb->get_row("SELECT * FROM fmwes_products WHERE id = ".$id);
  $specs = $wpdb->get_results("SELECT * from fmwes_product_specs where product_id = ".$id);
  $spec_names = $wpdb->get_col("select distinct(name) from fmwes_product_specs");
  $spec_uoms = $wpdb->get_col("select distinct(unit_of_measure) from fmwes_product_specs");
  $spec_list;
  foreach($specs as $index=>$spec){
      $spec_list .= '<li class="li-spec">'.
          esc_html__('Name', 'wp-sb-bancontact').
          '<input type="text" class="spec-name" id="input-name-'.esc_html($index).'" value="'.esc_html($spec->name).'">'.
          esc_html__('Value', 'wp-sb-bancontact').
          '<input type="text" class="spec-value" id="input-value-'.esc_html($index).'" value="'.esc_html($spec->spec_value).'">'.
          esc_html__('Unit Of Measure', 'wp-sb-bancontact').
          '<input type="text" class="spec-uom" id="input-uom-'.esc_html($index).'" value="'.esc_html($spec->unit_of_measure).'">'.
          '<input type="hidden" id="input-id-'.esc_html($index).'" value="'.esc_html($spec->id).'">'.
          '<a onclick="deleteSpec(this)">'.esc_html__('Delete', 'wp-stripe-bancontact').'</a>';
  }
  
  echo '<h1>'.esc_html__('Edit Product', 'wp-stripe-bancontact').'</h3>'.
    '<div id="error-result-msg"></div>'.
    '<form class="form-container" id="editForm">'.

      '<div class="setting-line-image">'.
        '<div class="image-preview-wrapper">'.
          '<img id="image-preview" src="'.wp_get_attachment_image_src($product->image_attachment_id)[0].'">'.
        '</div>'.
        '<input id="upload_image_button" type="button" class="btn-upload" value="'.esc_html__('Upload image', 'wp-stripe-bancontact').'"/>'.
        '<input type="hidden" name="image_attachment_id" id="image_attachment_id" value="'.esc_html($product->image_attachment_id).'">'.
      '</div>'.

      '<div class="setting-line">'.
        '<label for="title"><b>'.esc_html__('Title', 'wp-stripe-bancontact').'</b></label>'.
        '<input type="text" placeholder="'.esc_html__('Title', 'wp-stripe-bancontact').'" name="title" required value="'.esc_html($product->title).'">'.
      '</div>'.

      '<div class="setting-line">'.
        '<label for="description"><b>'.esc_html__('Description', 'wp-stripe-bancontact').'</b></label>'.
        '<textarea type="text" placeholder="'.esc_html__('Description', 'wp-stripe-bancontact').'" name="description" required>'.esc_html($product->description).'</textarea>'.
      '</div>'.

      '<div class="setting-line">'.
        '<label for="unit_price"><b>'.esc_html__('Unit Price', 'wp-stripe-bancontact').'</b></label>'.
        '<input type="text" placeholder="'.esc_html__('Unit Price', 'wp-stripe-bancontact').'" name="unit_price" required value="'.esc_html($product->unit_price).'">'.
      '</div>'.

      '<div class="setting-line">'.
        '<label for="description"><b>'.esc_html__('VAT Percentage', 'wp-stripe-bancontact').'</b></label>'.
        '<input type="text" placeholder="'.esc_html__('VAT Percentage', 'wp-stripe-bancontact').'" name="vat_percentage" required value="'.esc_html($product->VAT_percentage).'">'.
      '</div>'.
      
      '<div class="setting-line-specifications">'.
          '<label for="specifications-list"><b>'.esc_html__('Specifications', 'wp-stripe-bancontact').'</b></label>'.
          '<ul id="specifications-list">'.
            $spec_list.
            '<li class="add-li"><a class="add-spec" onclick=\'addSpec('.json_encode($spec_names).', '.json_encode($spec_uoms).')\'>'.esc_html__('Add Specification', 'wp-stripe-bancontact').'</a></li>'.
          '</ul>'.
      '</div>'.

      '<div class="setting-line-submit">'.
        '<button type="submit" class="button button-primary" name="btn_submit" onclick="editProduct(event)">'.esc_html__('Edit', 'wp-stripe-bancontact').'</button>'.
      '</div>'.
      '<input type="hidden" name="id" id="id" value="'.esc_html($product->id).'">'.
    '</form>';
}
