
function checkout_bc($event){
  $event.preventDefault();
  if(!jQuery('#checkout-form')[0].checkValidity()){
    jQuery('#checkout-form')[0].reportValidity();
    return;
  }
  var object = {};
  object['name'] = jQuery('#txt-name').val();
  object['email'] = jQuery('#txt-email').val();
  object['address_line_1'] = jQuery('#txt-a-line-1').val();
  object['address_line_2'] = jQuery('#txt-a-line-2').val();
  object['zip'] = jQuery('#txt-zip').val();
  object['city'] = jQuery('#txt-city').val();
  object['country'] = jQuery('#s-countries').val();
  if(jQuery('#rb-bc').prop("checked")){
    object['type'] = 'Bancontact';
  }
  else if(jQuery('#rb-cc').prop("checked")){
    object['type'] = 'Credit Card';
  }
  else if(jQuery('#rb-id').prop("checked")){
	object['type'] = 'iDeal';
  }
  var content = JSON.parse(sessionStorage.getItem("cart"));
  object["products"] = content;
  var coupon = JSON.parse(sessionStorage.getItem("coupon"));
  object["coupon"] = coupon;
  var data = JSON.stringify(object);
	var urlRequest = globalObject.homeUrl + '/wp-json/wp-sb/v1/order';
  jQuery.ajax(urlRequest, {
    url: urlRequest,
    type: "POST",
    data: data,
    beforeSend: function(xhr){
      xhr.setRequestHeader("X-WP-Nonce", globalObject.nonce);
    },
    timeout: globalObject.timeout, 
  }).done(function (data){
    if(data.order.total_price == 0){
      var newData = {};
      newData.id = data.order.id;
      newData.type = 'payment_not_needed';
      urlRequest = globalObject.homeUrl + '/wp-json/wp-sb/v1/hook/internal';
      jQuery.ajax(urlRequest, {
        url: urlRequest,
        type:"POST",
        data: JSON.stringify(newData),
        beforeSend: function(xhr){
          xhr.setRequestHeader("X-WP-Nonce", globalObject.nonce);
        },
        timeout: globalObject.timeout, 
      }).done(function(){
        window.location.replace(globalObject.redirect_url + "?source=" + data.order.id);
      }).fail(function (data) {
        if(data.status == 400){
    			document.getElementById('error-result-msg').textContent = msg;
    		}
    		else{
    			document.getElementById('error-result-msg').textContent = localize['error'];
    		}
      });
    }
    else if(jQuery('#rb-bc').prop("checked")){
      actual_bc(data.order.id);
    }
    else if(jQuery('#rb-cc').prop("checked")){
      window.location.href = globalObject.cc_checkout_url + '?pname=' + jQuery('#txt-name').val() + '&pemail=' + jQuery('#txt-email').val() + '&porder=' + data.order.id;
    }
    else if(jQuery('#rb-id').prop("checked")){
      window.location.href = globalObject.id_checkout_url + '?pname=' + jQuery('#txt-name').val() + '&pemail=' + jQuery('#txt-email').val() + '&porder=' + data.order.id;
    }
  }).fail(function (data) {
    if(data.status == 400){
			document.getElementById('error-result-msg').textContent = msg;
		}
		else{
			document.getElementById('error-result-msg').textContent = localize['error'];
		}
  });
}

function actual_bc(orderid){
  if(jQuery('#rb-bc').prop('checked')){
    var urlRequest = globalObject.homeUrl + '/wp-json/wp-sb/v1/order/source?orderid=' + orderid;
    jQuery.ajax(urlRequest, {
      url: urlRequest,
      type: "GET",
      beforeSend: function(xhr){
        xhr.setRequestHeader("X-WP-Nonce", globalObject.nonce);
      },
      timeout: globalObject.timeout, 
    }).done(function(result){
        window.location.replace(result.redirect.url);
      },
    ).fail(function(data){
      if(data.status == 400){
  			document.getElementById('error-result-msg').textContent = msg;
  		}
  		else{
  			document.getElementById('error-result-msg').textContent = localize['error'];
  		}
    });
  }
  else if(jQuery('#rb-cc').prop('checked')){

  }
}

function addSourceIdAndRedirect(source, order){
  order['sourceid'] = source.id;
  var urlRequest = globalObject.homeUrl + '/wp-json/wp-sb/v1/order';
  var data = JSON.stringify(order);
  jQuery.ajax(urlRequest, {
    url: urlRequest,
    type: "PUT",
    data: data,
    beforeSend: function(xhr){
      xhr.setRequestHeader("X-WP-Nonce", globalObject.nonce);
    },
    timeout: globalObject.timeout, 
  }).done(function (result){
    window.location.replace(source.redirect.url);
  }).fail(function (data) {
    var test = "";
  });
}
