
jQuery(document).ready(function($){
  $('.fmwes-dismissible').on('click', '.notice-dismiss', function(event, el){
    var str = '&notice=' + jQuery(this).parent().attr('id') + '&action=dismiss_notice';
    jQuery.ajax({
        type: "POST",
        dataType: "html",
        url: globalObject.ajaxurl,
        data: str,
        success: function(data){
        }
    });
  });
});


function connectMiddle(token){
  jQuery('#loading-msg').css('display', 'block');
  var urlRequest = globalObject.middleUrl + '/register';
  data = {
    "site_url": globalObject.homeUrl,
    "token": token
  }
  jQuery.ajax(urlRequest, {
    url: urlRequest,
    type:"POST",
    data: JSON.stringify(data),
    timeout: globalObject.timeout, 
  }).done(function(data){
	jQuery('#loading-msg').css('display', 'none');
    if(data.status == 200){
      window.location = 'https://connect.stripe.com/oauth/authorize?response_type=code&client_id='+ globalObject.client_id + '&scope=read_write&state=' + token + '&redirect_uri=' + globalObject.middleUrl + '/account';
    }else{
      document.getElementById('error-result-msg').textContent = localize['error'];
    }
  }).fail(function(){
    document.getElementById('error-result-msg').textContent = localize['error'];
    jQuery('#loading-msg').css('display', 'none');
  });
}

function disconnect(event){
  urlRequest = globalObject.homeUrl + '/wp-json/wp-sb/v1/disconnect';
  jQuery.ajax(urlRequest, {
    url: urlRequest,
    type: "DELETE",
    beforeSend: function(xhr){
      xhr.setRequestHeader("X-WP-Nonce", globalObject.nonce);
    },
  	timeout: globalObject.timeout, 
  }).done(function(datas){
    if(datas.status == 200){
      location.reload();
    }else{
        document.getElementById('error-result-msg').textContent = localize['error'];
    }
  }).fail(function(datas){
    document.getElementById('error-result-msg').textContent = localize['error'];
  });
}

