<?php

/**
* @package WP_Stripe_Bancontact
*/

class Checkout{
  public function show(){
      
    $countries = include(FMWES_PLUGIN_DIR . 'includes/components/countries.php');
    $site_country_tmp = explode("_", get_locale());
    $site_country = $site_country_tmp[1];
    $countries_ddl = '<select name="countries" id="s-countries" autocomplete="off">';
    foreach($countries as $key => $value){
        if($key == $site_country){
            $countries_ddl .= '<option value="'.esc_html($key).'" selected>'.esc_html($value).'</option>';
        }
        else{
            $countries_ddl .= '<option value="'.esc_html($key).'" >'.esc_html($value).'</option>';
        }      
    }
    $countries_ddl .= '</select>';
    $cart = new Cart();
    $content = '<div class="checkout-bc">';
    $content .= $cart->show();
    $content .= '<div class="coupon">'.
                  '<input type="text" id="txt-coupon-code" placeholder="'.esc_html__('Coupon Code').'" ></input>'.
                  '<button class="btn-coupon" onclick="validate_coupon(event)">'.esc_html__('Validate', 'wp-stripe-bancontact').'</button>'.
                '</div>';
    $content .= '<div class="bottom-line"></div>';
    $content .= '<form id="checkout-form">'.
        '<label class="radio-container"><div class="bc-icon"></div>'.
          '<input type="radio" id="rb-bc" name="radio">'.
          '<span class="checkmark"></span>'.
        '</label>'.
        '<label class="radio-container"><div class="mc-icon"></div><div class="visa-icon"></div>'.
          '<input type="radio" id="rb-cc" name="radio">'.
          '<span class="checkmark"></span>'.
        '</label>'.
        '<label class="radio-container"><div class="id-icon"></div>'.
          '<input type="radio" id="rb-id" name="radio">'.
          '<span class="checkmark"></span>'.
        '</label>'.
        '<input type="text" id="txt-name" placeholder="'.esc_html__('Name', 'wp-stripe-bancontact').'" required></input>'.
        '<input type="email" id="txt-email" placeholder="'.esc_html__('Email', 'wp-stripe-bancontact').'" required></input>'.
        '<input type="text" id="txt-a-line-1" placeholder="'.esc_html__('Address line 1', 'wp-stripe-bancontact').'" required></input>'.
        '<input type="text" id="txt-a-line-2" placeholder="'.esc_html__('Address line 2', 'wp-stripe-bancontact').'"></input>'.
        '<input type="text" id="txt-zip" placeholder="'.esc_html__('Zip', 'wp-stripe-bancontact').'" required></input>'.
        '<input type="text" id="txt-city" placeholder="'.esc_html__('City', 'wp-stripe-bancontact').'" required></input>'.   
        $countries_ddl.
        '<button type="submit" id="btn-submit" onclick="checkout_bc(event)" disabled>'.esc_html__('Pay', 'wp-stripe-bancontact').'</button>'.
      '</form>'.
      '<div class="loader"></div>'.
      '</div>'; //checkout-bc


    return $content;
  }
}
