jQuery(document).ready(function($){
  var file_frame;
  var wp_media_post_id = wp.media.model.settings.post.id;
  var set_to_post_id = $('image_attachment_id').val();
  $('#upload_image_button').on('click', function(event){
    event.preventDefault();

    if(file_frame){
      file_frame.uploader.uploader.param('post_id', set_to_post_id);
      file_frame.open();
      return;
    }else{
      wp.media.model.settings.post.id = set_to_post_id;
    }

    file_frame = wp.media.frames.file_frame = wp.media({
      title: localize['select_image'],
      button:{
        text: localize['use_image']
      },
      multiple: false
    });
    file_frame.on('select', function(){
      attachment = file_frame.state().get('selection').first().toJSON();

      $('#image-preview').attr('src', attachment.url).css('width', 'auto');
      $('#image_attachment_id').val(attachment.id);

      wp.media.model.settings.post.id = wp_media_post_id;
    });

    file_frame.open();
  });
  $('a.add_media').on('click', function(){
    wp.media.model.settings.post.id = wp_media_post_id;
  });
});
