jQuery(document).ready(function($){
	setDisabled();
	
	$('.chk-shipping').click(function(){
		setDisabled();
	})
	
	
	
	function setDisabled(){
		if($('#chk-ship-all').is(':checked')){
			$('.ship-countries').find('input, div, button, select').attr('disabled', 'disabled');
			$('#txt-cost-all').removeAttr('disabled');		
		}else{
			$('.ship-countries').find('input, div, button, select').removeAttr('disabled');
			$('#txt-cost-all').attr('disabled', 'disabled');
		}
	}

});

function add_country(event){
	event.preventDefault();
	var country_code = jQuery('#s-countries').val();
	var country = jQuery('#s-countries option:selected').text();
	jQuery('.ship-countries').append(
		'<div class="ship-country">'+
            '<input type="checkbox" class="chk-shipping" id="chk-ship-'+ country_code +'" name="chk-ship-'+ country_code +'" checked>'+
            '<label class="lbl-ship-bold" for="chk-ship-'+ country_code +'">' + country + '</label>'+
            '<label for="txt-cost-'+ country_code +'">' + localize['shipping_cost'] + ' &euro;</label>'+
            '<input name="txt-cost-'+ country_code +'" class="txt-shipping-cost" id="txt-cost-'+ country_code +'" placeholder="' + localize['cost'] + '" value="0">'+
            '<input class="input-country" type="hidden" value="' + country_code + '">'+
            '<a class="ship-delete" onclick="delete_ship(this)">' + localize['delete'] + '</a>' + 
        '</div>'
	);
}

function save_changes(event){
	event.preventDefault();
	var shippinglist = [];
	jQuery('.ship-countries .ship-country, .ship-all').each(function(){
		var ship = {};
		ship.country = jQuery(this).children('.input-country').val();
		ship.cost = jQuery(this).children('.txt-shipping-cost').val();
		if(jQuery(this).children('.chk-shipping').is(':checked')){
			ship.checked = true;
		}else{
			ship.checked = false;
		}
		shippinglist.push(ship);
	});
	var data = JSON.stringify(shippinglist);
	var urlRequest = globalObject.homeUrl + '/wp-json/wp-sb/v1/shipping';
  jQuery.ajax(urlRequest, {
    url: urlRequest,
    type: "PUT",
    data: data,
    timeout: globalObject.timeout, 
    beforeSend: function(xhr){
      xhr.setRequestHeader("X-WP-Nonce", globalObject.nonce);
    }
  }).done((response) => {
	  document.getElementById('result-msg').textContent = localize['saved'];
  }).fail(function (data) {
    if(data.status == 400){
			document.getElementById('error-result-msg').textContent = msg;
		}
		else{
			document.getElementById('error-result-msg').textContent = localize['error'];
		}
  });
}

function delete_ship(e){
	e.parentNode.parentNode.removeChild(e.parentNode);
}